package com.yinlihupo.enlish.service.domain.mapper;

import com.yinlihupo.enlish.service.domain.dataobject.ClassDO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ClassDOMapper {

    ClassDO selectClassDOById(Integer id);

    List<ClassDO> selectClassDOList(@Param("startIndex") Integer startIndex, @Param("pageSize") Integer pageSize);

    Integer selectClassDOCount();

    List<ClassDO> selectClassDOListByIds(@Param("classIds") List<Integer> classIds);

    void insert(ClassDO classDO);

    void delete(@Param("id") Integer id);
}